Untitled

mail@pastecode.io avatar
unknown
plain_text
a month ago
8.7 kB
1
Indexable
Never
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.6.8</version>
        <relativePath/>
    </parent>

    <groupId>com.lwo.processing</groupId>
    <artifactId>issuing-service</artifactId>
    <version>1.20-rc-12</version>
    <name>issuing-service</name>
    <description>issuing-service for processing</description>

    <properties>
        <java.version>18</java.version>
        <spring-cloud.version>2021.0.3</spring-cloud.version>
        <commons-net-patched.version>3.9.0.1</commons-net-patched.version>
        <commons-vfs2.version>2.9.0</commons-vfs2.version>
        <scheduler-api.version>1.0.18</scheduler-api.version>
        <auditing-filter.version>1.0.24</auditing-filter.version>
        <common-api.version>1.0.902</common-api.version>
        <orai18n.version>19.3.0.0</orai18n.version>
        <jython-slim.version>2.7.2</jython-slim.version>
        <modelmapper.version>3.1.0</modelmapper.version>
        <hibernate-types-52.version>2.4.3</hibernate-types-52.version>
        <hypersistence-utils-hibernate-5.version>3.6.0</hypersistence-utils-hibernate-5.version>
        <pdfbox.version>2.0.26</pdfbox.version>
        <boxable.version>1.7.0</boxable.version>
    </properties>


    <dependencies>

        <dependency>
            <groupId>com.lwo.processing</groupId>
            <artifactId>common-api</artifactId>
            <version>${common-api.version}</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-configuration-processor</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-security</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-sleuth</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <dependency>
            <groupId>org.postgresql</groupId>
            <artifactId>postgresql</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-test</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.flywaydb</groupId>
            <artifactId>flyway-core</artifactId>
        </dependency>

        <dependency>
            <groupId>org.modelmapper</groupId>
            <artifactId>modelmapper</artifactId>
            <version>${modelmapper.version}</version>
        </dependency>

        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>${commons-codec.version}</version>
        </dependency>

        <dependency>
            <groupId>com.vladmihalcea</groupId>
            <artifactId>hibernate-types-52</artifactId>
            <version>${hibernate-types-52.version}</version>
        </dependency>

        <dependency>
            <groupId>io.hypersistence</groupId>
            <artifactId>hypersistence-utils-hibernate-5</artifactId>
            <version>${hypersistence-utils-hibernate-5.version}</version>
        </dependency>

        <dependency>
            <groupId>org.apache.pdfbox</groupId>
            <artifactId>pdfbox</artifactId>
            <version>${pdfbox.version}</version>
        </dependency>

        <dependency>
            <groupId>com.github.dhorions</groupId>
            <artifactId>boxable</artifactId>
            <version>${boxable.version}</version>
        </dependency>

        <dependency>
            <groupId>com.oracle.database.jdbc</groupId>
            <artifactId>ojdbc8</artifactId>
            <scope>runtime</scope>
        </dependency>

        <dependency>
            <groupId>com.oracle.ojdbc</groupId>
            <artifactId>orai18n</artifactId>
            <version>${orai18n.version}</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-loadbalancer</artifactId>
            <exclusions>
                <exclusion>
                    <artifactId>bcpkix-jdk15on</artifactId>
                    <groupId>org.bouncycastle</groupId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.lwo.processing</groupId>
            <artifactId>auditing-filter</artifactId>
            <version>${auditing-filter.version}</version>
            <exclusions>
                <exclusion>
                    <artifactId>common-api</artifactId>
                    <groupId>com.lwo.processing</groupId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.python</groupId>
            <artifactId>jython-slim</artifactId>
            <version>${jython-slim.version}</version>
            <exclusions>
                <exclusion>
                    <artifactId>jnr-ffi</artifactId>
                    <groupId>com.github.jnr</groupId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
            <exclusions>
                <exclusion>
                    <artifactId>asm</artifactId>
                    <groupId>org.ow2.asm</groupId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.lwo.processing</groupId>
            <artifactId>scheduler-api</artifactId>
            <version>${scheduler-api.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.lwo.processing</groupId>
                    <artifactId>common-api</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-vfs2</artifactId>
            <version>${commons-vfs2.version}</version>
        </dependency>

<!--        &lt;!&ndash; уточнить касательно подтягивания и упаковки данной зависимости &ndash;&gt;-->
        <dependency>
            <groupId>commons-net</groupId>
            <artifactId>commons-net-patched</artifactId>
            <version>${commons-net-patched.version}</version>
        </dependency>

    </dependencies>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <requiresUnpack>
                        <dependency>
                            <groupId>org.python</groupId>
                            <artifactId>jython-slim</artifactId>
                        </dependency>
                    </requiresUnpack>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
Leave a Comment